import 'package:flutter/material.dart';
import 'package:new_architecture/ui/skeleton_loading/skeleton_loading_viewmodel.dart';
import 'package:stacked/stacked.dart';

class SkeletonLoadingView extends StatelessWidget {
  const SkeletonLoadingView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ViewModelBuilder<SkeletonLoadingViewModel>.reactive(
      builder: (context, model, child) => Scaffold(
        floatingActionButton: FloatingActionButton(
          onPressed: model.initialise,
        ),
        body: ListView.builder(
            itemCount: model.isBusy ? 10 : (model.data?.length ?? 0),
            itemBuilder: (context, index) {
              final item = model.isBusy
                  ? ListItem(
                      description: 'This description is for item loading',
                      title: 'This title is for loading')
                  : model.data?[index];
              return SkeletonLoader(
                loading: true,
                child: Container(
                  margin: const EdgeInsets.symmetric(vertical: 10),
                  color: Colors.red,
                  height: 50,
                ),
              );
            }),
      ),
      viewModelBuilder: () => SkeletonLoadingViewModel(),
    );
  }
}
